# DS 001 TUM UUVMotion 01

The dataset includes a collection of motion profiles of an Unmanned Underwater vehicle moving in an underwater environment. 

We operate an underwater robot that responds to diverse inputs in various degrees of freedom  (roll, yaw, z-axis), and its actions are captured through video recordings. The movement of our underwater robot forms a dynamic system, and by defining appropriate inputs and outputs, we can conduct System Identification to construct a mathematical model. 

While IMU sensors record output data, we address inaccuracies by utilizing external tools to obtain more precise output information and couple that with the control comments on terms of forces and torques. 

### General introduction 
This dataset contains data gathered during a test campaign of the H2020 Project "SeaClear" at Subsea Tech using the project's collection ROV (ColROV).

## Description
There are 4 input-output datasets
* Position hold in 4DoF: posallhold_data_set
  * *UUV control forces and torques*:
    * Input1_Wrench_Force_X
    * Input2_Wrench_Force_Y
    * Input3_Wrench_Torque_X
    * Input4_Wrench_Torque_Z
  * *UUV response in different DoF*:
    * Output1_Pos_X	
    * Output2_Pos_Y	
    * Output3_Vel_X	
    * Output4_Vel_Y


* Roll hold: posrollhold_data_set
  * *UUV control forces and torques*:
    * Input1_Wrench_Torque_X
  * *UUV roll angle*:
    * Output1_Roll


* Yaw hold: posyawhold_data_set
  * *UUV control forces and torques*:
    * Input1_Wrench_Torque_Z
  * *UUV yaw angle*:
    * Output1_Yaw


* Z-axis pose hold: poszhold_data_set
  * *UUV control forces and torques*:
    * Input1_Wrench_Force_Z
  * *UUV z position*:
    * Output1_Pose_Z



